#!/usr/bin/perl -w

# This launcher script is based on launcher.pl found in printer_utility. This
# will be used to launch the browser (as the name suggests).
#
# TODO:
# We can also use this as a generic launcher for browsers. Instead of figuring
# out which browser to luanch in the code, we can do all that figuring-out in
# this script.

use strict;
use POSIX qw(setsid);

my $browser = $ARGV[0];
my $url = $ARGV[1];

my $pid = fork();
if ($pid) # parent
{
    exit(0);
}
elsif ($pid == 0) # child
{
    setsid();
    system("$browser $url");
    exit(0);
}
else
{
    die "Unable to fork process: $!\n";
}
